//	Persistence of Vision Raytracer Version 3.5 Scene Description File
//	File: hollow3.pov
//	Author: Dieter Bayer
//	Description:
// This scene shows a hollow, checkered sphere filled with fire.
//
//*******************************************

global_settings {
  //max_trace_level 5
}

#include "colors.inc"

camera {
  location <0,0,-2.3>
  //angle 90
  right <1,0,0> up <0,1,0>
  // clock
}

background { color rgb <0,0,0> }

// light_source { <100, 100, -200> color White }
/*
/usr/share/povray-3.5/include/stars.inc

  sky_sphere {
    pigment {
        granite
        color_map {
            [ 0.000  0.270 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.270  0.280 color rgb <.5,.5,.4> color rgb <.8,.8,.4> ]
            [ 0.280  0.470 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.470  0.480 color rgb <.4,.4,.5> color rgb <.4,.4,.8> ]
            [ 0.480  0.680 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.680  0.690 color rgb <.5,.4,.4> color rgb <.8,.4,.4> ]
            [ 0.690  0.880 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
            [ 0.880  0.890 color rgb <.5,.5,.5> color rgb < 1, 1, 1> ]
            [ 0.890  1.000 color rgb < 0, 0, 0> color rgb < 0, 0, 0> ]
        }
    turbulence 1
    sine_wave
    scale .5
    }
    
  }
  */
  

sphere { < 0, 0, 0>, 4
	// pigment { rgbt 1 } // surface of sphere is transparent
	pigment { rgbt 1 } // surface of sphere is transparent
	interior {
		media {
			emission 0.843997369774
			intervals 1
			samples 33
			method 3
			density {
				spherical
				ramp_wave
        translate (14.1460252992 + clock*1.0)*y  // replace 1.0 = t   by time for animation
        warp { turbulence 0.309034836343 }
        translate -(14.1460252992 + clock*1.0)*y // replace -1.0 = -t  by time for animation
				color_map {
					[0.0 color rgb <0, 0, 0>]
          [0.158830468185 color rgb <0.663860595163,0.890864497,0.383238332059>]
[0.210473999888 color rgb <0.0546305505813,0.193582393319,0.637054290919>]
[0.446834951267 color rgb <0.142693257491,0.90811378458,0.373731659434>]
[0.546891692159 color rgb <0.305735144907,0.994863180441,0.219289644723>]
[1.0 color rgb <0.772833524166,0.211420936608,0.518490779921>]
				}
			}
      scale 0.7
		}
	}
	//translate 25*y
	hollow
}

  /*
sphere { < 0, 0, 0>, 2
	pigment { rgbt 1 } // surface of sphere is transparent
	interior {
		media {
			emission 0.02
			intervals 1
			samples 25
			method 3
			density {
				spherical
				ramp_wave
        translate (clock*1.0)*y  // replace 1.0 = t   by time for animation
        warp { turbulence 2.5 }
        translate -(clock*1.0)*y // replace -1.0 = -t  by time for animation
				color_map {
					[0.0 color rgb <1, 0, 0>]
					[0.1 color rgb <1, 1, 0>]
					[0.5 color rgb <1, 1, 0>]
					[1.0 color rgb <1, 0, 0>]
				}
			}
			density {
				spherical
				ramp_wave
				color_map {
					[0.0 color rgb 1]
					[0.2 color rgb 1]
					[0.3 color rgb 1]
					[1.0 color rgb 1]
				}
			}
		}
	}
	scale 1
	hollow
}
*/