<?php
include("../roblib.php");
import_request_variables("gp", "f_");
$basefile = "base.pov";
$infile_prefix = "breed_";
$infile_postfix = ".pov";
$outfile_prefix = "exp_";
$outfile_postfix1 = ".tga";
$outfile_postfix2 = ".jpg";
$breednumber = 0;
$convert_from_folder = "out";
// $viewfolder = "out2";
$convert_from_out_if_not_in_view = true;
$viewfolder = "out2";
$nicefolder = "niceones";

if (!file_exists($nicefolder)) mkdir($nicefolder,0777);

$pics = array();
do {
	++$breednumber;
	$folder = "breeds/breed_".sprintf("%06d",$breednumber);
	for ($i=0;true;++$i) {
		$outfilename1 = $outfile_prefix . sprintf("%06d",$breednumber)."_".sprintf("%03d",$i) . $outfile_postfix1;
		$outfilename2 = $outfile_prefix . sprintf("%06d",$breednumber)."_".sprintf("%03d",$i) . $outfile_postfix2;
		if ($convert_from_out_if_not_in_view && file_exists($convert_from_folder."/".$outfilename1) && !file_exists($viewfolder."/".$outfilename2)) {
			// convert to jpg
			echo	 		("cd /var/www/explode/ && convert $convert_from_folder/$outfilename1 -quality 100 $viewfolder/$outfilename2")."<br>\n";
					passthru("cd /var/www/explode/ && convert $convert_from_folder/$outfilename1 -quality 100 $viewfolder/$outfilename2");
		}
		if (!file_exists($viewfolder."/".$outfilename2)) break;
		$pics[] = $outfilename2;
		// rename($oldoutfile,$newoutfile);
	}
} while (file_exists($folder)) ;


$pagesize=8;
$rowsize=4;

$lastpage = max(0,ceil(count($pics) / $pagesize) - 1);

if (!isset($f_page)) $f_page = $lastpage; else $f_page = intval($f_page);
?>

<table cellspacing=0 cellpadding=0>
<tr>
	<?php for ($i=0;$i<$pagesize;++$i) {
		$outfilename2 = $pics[intval($f_page)*$pagesize+$i];
		?>
		<td>
			<a href="<?=query("?page=?&movepic=".$outfilename2)?>">
			<img border=0 src="<?=$viewfolder."/".$outfilename2?>" alt="<?=$outfilename2?>" title="<?=$outfilename2?>">
			</a>
		</td>
		<?php if (($i%$rowsize) == $rowsize-1) {?>
		</tr><tr>
		<?php } // endif?>
	<?php } // endforeach?>
</tr>
</table>
<a href="<?=Query("?page=".($f_page-1))?>">&lt;&lt;&lt;</a>
<?=$f_page?>
<a href="<?=Query("?page=".($f_page+1))?>">&gt;&gt;&gt;</a>
&nbsp;&nbsp;&nbsp;

<?php

if (isset($f_movepic)) {
	$src = $viewfolder."/".$f_movepic;
	$dst = $nicefolder."/".$f_movepic;
	if (file_exists($dst)) {
		echo "$f_movepic already marked<br>";
	} else {
		copy($src,$dst);
		if (file_exists($dst)) 
				echo "marked $nicefolder/$f_movepic<br>";
		else	echo "FAILED MARKING $nicefolder/$f_movepic<br>";
	}
}
?>